Subject: Re: [PATCH 4/4] t5326: test propagating hashcache values

From: Junio C Hamano <[email-masked]>
Date: Sun, 12 Sep 2021 17:46:18 -0700

Taylor Blau <[email-masked]> writes:

> Now that we both can propagate values from the hashcache, and respect
> the configuration to enable the hashcache at all, test that both of
> these function correctly by hardening their behavior with a test.

When we serve "git fetch" requests from a resulting repository,
because we have namehash available without traversing, we can serve
a packfile to the requestor, using the reachability bitmap to pick
objects that need to be sent, grouping the blobs with the same
namehash to be deltified against each other, resulting in a pack
that is better compressed than before?

What I am wondering is if we can come up with a "now, because we no
longer lose hashcache, we can do X so much better, here are the
numbers".